Skip to main content

GET /kv/rest/v1/lists REST API Endpoint

Retrieves the keys of all Key-Value Store lists in your account. Returns an array of list key names (not the list contents). Use this to discover which lists exist before retrieving specific list items with the GET /kv/rest/v1/lists/{key} endpoint.

Updated on
Jun 26, 2026

Parameters

This method does not accept any parameters

Returns

data
object

The data object which contains the following fields:

keys
array

Retrieves an array of Key-Value Store list keys

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free